summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Andy Alt2024-02-22 15:37:24 +0100
committer Willy Sudiarto Raharjo2024-02-24 09:34:48 +0100
commit26f9113cbc7b8e003e1ac0809182ac253ccc1a9a (patch)
tree9f256d75814cfb6eb0eb52192328ca0ba1815c63 /development
parent4735dd7e75fe8f97d7cb3ea6ab6038f5bd3ece35 (diff)
downloadslackbuilds-26f9113cbc7b8e003e1ac0809182ac253ccc1a9a.tar.gz
development/pinner: Added (geany plugin).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/pinner/README23
-rw-r--r--development/pinner/pinner.SlackBuild102
-rw-r--r--development/pinner/pinner.info10
-rw-r--r--development/pinner/slack-desc19
4 files changed, 154 insertions, 0 deletions
diff --git a/development/pinner/README b/development/pinner/README
new file mode 100644
index 0000000000..526b444514
--- /dev/null
+++ b/development/pinner/README
@@ -0,0 +1,23 @@
+
+# Pinner
+
+A Geany plugin designed to enhance document management by allowing
+users to pin documents to a sidebar tab. This feature is particularly
+useful for users working with many multiple open documents, as it
+enables them to add selected filenames to a list for easy access. Users
+can then simply click on a filename in the list to switch to that
+document.
+
+A demonstration video is at https://www.twitch.tv/videos/2067406964
+
+The plugin will add two items to the Geany tools menu:
+
+ Pin Document Unpin Document
+
+The list is not persistent and will be cleared when you exit Geany. To
+clear it manually, right click on it and left-click on "Clear".
+
+## Keybindings
+
+When the plugin is enabled, keybindings to pin and unpin documents
+can be changed from the Geany preferences menu.
diff --git a/development/pinner/pinner.SlackBuild b/development/pinner/pinner.SlackBuild
new file mode 100644
index 0000000000..3a1f16b77d
--- /dev/null
+++ b/development/pinner/pinner.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/bash
+
+# Slackware build script for Pinner
+
+# Copyright 2024 Andy Alt / United States
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=pinner
+VERSION=${VERSION:-0.1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+LIBDIRSUFFIX=""
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+meson .. \
+ --buildtype=release \
+ --strip \
+ --libdir="/usr/lib$LIBDIRSUFFIX" \
+ --prefix=/usr
+
+ninja -v
+DESTDIR=$PKG ninja install
+cd ..
+
+# Documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog.md README.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+
+pwd
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/pinner/pinner.info b/development/pinner/pinner.info
new file mode 100644
index 0000000000..e00289652e
--- /dev/null
+++ b/development/pinner/pinner.info
@@ -0,0 +1,10 @@
+PRGNAM="pinner"
+VERSION="0.1.2"
+HOMEPAGE="https://github.com/andy5995/pinner/"
+DOWNLOAD="https://github.com/andy5995/pinner/releases/download/v0.1.2/pinner-0.1.2.tar.xz"
+MD5SUM="662d6da45da1821ba848740a3477dbbd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="geany"
+MAINTAINER="Andy Alt"
+EMAIL="arch_stanton5995@proton.me"
diff --git a/development/pinner/slack-desc b/development/pinner/slack-desc
new file mode 100644
index 0000000000..9c37ee2272
--- /dev/null
+++ b/development/pinner/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pinner: pinner (Geany plugin that allows pinning documents to a sidebar)
+pinner:
+pinner: Pinner is a Geany plugin designed to enhance document management by
+pinner: allowing users to pin documents to a sidebar tab. This feature is
+pinner: particularly useful for users working with many multiple open
+pinner: documents, as it enables them to add selected filenames to a list
+pinner: for easy access. Users can then simply click on a filename in the
+pinner: list to switch to that document effortlessly.
+pinner:
+pinner: Homepage: https://github.com/andy5995/pinner/
+pinner: